# Generated by Django 3.2 on 2023-03-05 07:28

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('dashboard', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Reply',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('body', models.CharField(max_length=200)),
                ('pub_datetime', models.DateTimeField()),
                ('author', models.ForeignKey(default=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='dashboard.widgetuser')),
            ],
        ),
        migrations.CreateModel(
            name='ForumPost',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('body', models.CharField(max_length=200)),
                ('pub_datetime', models.DateTimeField()),
                ('author', models.ForeignKey(default=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='dashboard.widgetuser')),
            ],
        ),
    ]
